/*
* PERSONALIZACIONES Y/O CORRECCIONES AL ESTILO GOBMX.
* Last Update: 2025/09/15 11:00
* Updated by: Coordinación de Informática.
*/

/*
* FIXES GOBMX
*/
.sub-navbar {
    margin-top: 86px !important;
    /* margin-top: 0px !important; */
}

.navbar .sub-navbar {
    margin-top: 5px !important;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    line-height: 50px !important;
}

/*
.sub-navbar .navbar-brand {

}
*/
.sub-navbar .navbar-collapse {
    margin: 0 !important;
    padding: 0 !important;
}

.sub-navbar .navbar-nav .nav-item .subnav-link {
    padding-top: 10px !important;
    padding-left: 10px !important;
    padding-right: 15px !important;

}

body {
    padding-top: 80px !important;
    padding-bottom: 0px !important;
}

main.page {
    margin-bottom: 0px !important;
}

.breadcrumb>li+li:before {
    font-size: 18px !important;
}

.tooltip {
    font-size: 14px !important;
}

.form-select {
    font-size: 18px !important;
    padding: 6px 32px 6px 6px !important;
    background-color: #fff !important;
    border: 1px solid #ccc !important;
    border-radius: 4px !important;
    font-size: 17px !important;
    cursor: pointer !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075) !important;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s !important;
}

hr.red {
    margin: 10px 0 40px !important;
}

#subNavBarDropdown {
    margin: 0 !important
}

.navbar-expand-md .navbar-nav .nav-link {
    padding-right: 1.5rem !important;
}

.navbar-expand-md .navbar-nav .nav-link:hover {
    padding-right: 1.5rem !important;
}

.pagination>.active>span {
    background-color: #9d2449 !important;
    border-color: #9d2449 !important;
    font-weight: bold !important;
}

.page-link {
    font-size: 14px !important;
}

.navbar-toggler {
    padding-top: 30px !important;
}

@media (min-width: 100px) {
    .navbar-dark .navbar-toggler {
        margin-top: 0px !important;
    }
}

.navbar-nav>li>.dropdown-menu>a {
    text-decoration: none !important;
}

.navbar-nav>li>.dropdown-menu>a:hover {
    background-color: #DDC9A3 !important;
}

.dropdown>.dropdown-menu>li>a {
    text-decoration: none !important;
}

.dropdown>.dropdown-menu>li>a:hover {
    background-color: #DDC9A3 !important;
}

/*
* CUSTOMS APP
*/

.credits {
    color: #BC955C !important;
    font-family: Patria, "Noto Sans", sans-serif;
    font-size: 9px !important;
    text-shadow: #ddd;
    margin-top: 20px !important;
}

.spinner-overlay {
    position: fixed;
    /* Or 'absolute' depending on your context */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Semi-transparent black */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    /* Ensure it's on top of other content */
}

.select2-container--bootstrap-5 .select2-selection {
    font-size: 18px !important;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
    font-size: 16px !important;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field {
    font-size: 16px !important;
}

.shadowx {
    transition: box-shadow 0.3s ease-in-out;
}

.shadowx:hover {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
}

.fs-1x {
    font-size: 1rem !important;
}

.fs-1_5x {
    font-size: 1.5rem !important;
}

.fs-2x {
    font-size: 2rem !important;
}

.fs-2_5x {
    font-size: 2.5rem !important;
}

.fs-3x {
    font-size: 3rem !important;
}

.fs-3_5x {
    font-size: 3.5rem !important;
}

.fs-4x {
    font-size: 4rem !important;
}

.fs-4_5x {
    font-size: 4.5rem !important;
}

.fs-10b {
    font-size: 10px !important;
}

.fs-12b {
    font-size: 12px !important;
}

.fs-14b {
    font-size: 14px !important;
}

.fs-16b {
    font-size: 16px !important;
}

.fs-18b {
    font-size: 18px !important;
}

.fs-20b {
    font-size: 20px !important;
}

.fs-22b {
    font-size: 22px !important;
}

.fs-24b {
    font-size: 24px !important;
}

.fs-26b {
    font-size: 26px !important;
}

.fs-28b {
    font-size: 28px !important;
}

.fs-30b {
    font-size: 30px !important;
}

.ff-patria {
    font-family: Patria, "Noto Sans", sans-serif;
}

.ff-notosans {
    font-family: "Noto Sans", sans-serif;
}